from os import getpid

from SignalRouter import SignalRouter
from Bar import Bar
from Module import Module
from parse_config_file import get_bar_config_and_module_config_list

def main():
    bar_config, module_config_list = get_bar_config_and_module_config_list("/home/noah/src/easyconf-lemonbar/data/testing_config.yml")
    padding = bar_config["padding"]
    seperator = bar_config["seperator"]
    margin = bar_config["margin"]

    signal_router = SignalRouter()

    bar = Bar(seperator, margin)

    for module_config in module_config_list:
        module = Module(module_config, padding, bar)
        bar.add_module(module)
        module.start_thread()
        if module.signal:
            signal_router.register_signal_thread(module.signal, module.ident)



if __name__ == "__main__":
    main()
